<?php
/*
Plugin Name: WooCommerce Shipping Tracking - Bulk import addon: Import Sequential Order Number Pro
Description: WCST plugin adds shipping tacking code to woocommerce mails and view order page.
Author: Lagudi Domenico
Version: 1.0
*/
 
if ( in_array( 'woocommerce/woocommerce.php', apply_filters( 'active_plugins', get_option( 'active_plugins' ) ) ) ||
     (is_multisite() && array_key_exists( 'woocommerce/woocommerce.php', get_site_option('active_sitewide_plugins') ))	
	)
{
	add_filter('wcst_bulk_import_order_id_processing', wcst_bulk_import_replace_pro_order_id);
}

function wcst_bulk_import_replace_pro_order_id($sequential_order_id)
{
	global $wpdb;
	$query = "SELECT post_id 
			  FROM {$wpdb->postmeta}
			  WHERE meta_key = '_order_number'
			  AND meta_value = '{$sequential_order_id}'";
	$result = $wpdb->get_results($query);
	$order_number = isset($result) && isset($result[0]) ? $result[0]->post_id : $sequential_order_id;
	return $order_number;
}
?>